Get one object journal entry
GET
/objects/{id}/journal/{entryId}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredentryIdstringrequiredResponses
200
bodystringrequiredBody as HTML
createdAtstringrequiredcreatedBystringrequiredidstringrequiredlastUpdatedstringrequiredmoodstringrequiredAllowed:
SadNeutralHappyobjectIdstringrequiredreminderobject | nullrequired401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/objects/string/journal/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/objects/string/journal/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/objects/string/journal/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"body": "string",
"createdAt": "string",
"createdBy": "string",
"id": "string",
"lastUpdated": "string",
"mood": "Sad",
"objectId": "string",
"reminder": {}
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions